#include <stdio.h>
#include <doslibm.h>
#include <io.h>
#include <time.h>
#include "defines.h"
#include "acdata.h"

int cmp_datetime2(struct FILBUF *fblock,time_t tm)
/* Human68k date/time format vs time_t でどちらが古いかを調べる */
/* file : 1 , time : 2 */
{
unchar stm[26],dtlist[6];
unint fdt;
int ret;
	strcpy(stm,ctime(&tm));
	/* WED OCT 22 13:15:30 1986\n\0 */
	/* 012345678901234567890123     */
	
	dtlist[0]=deci2(&stm[20])*100+deci2(&stm[22])-1980; /* 1980年からの相対年 */
	dtlist[1]=month_asc(&stm[4]);	/* 月 */
	dtlist[2]=deci2(&stm[8]);	/* 日 */
	dtlist[3]=deci2(&stm[11]);	/* 時 */
	dtlist[4]=deci2(&stm[14]);	/* 分 */
	dtlist[5]=deci2(&stm[17]);	/* 秒 */
	
	fdt=ftpack(dtlist);
	
	/* 日付比較 */
	ret=cmp_date(fblock->date,fdt>>16);
	if (ret!=0) return(ret);
	
	/* c==0 : 等しい時は時刻比較に移る */
	
	/* 時刻比較 */
	return(cmp_date(fblock->time,fdt&0xffff));
}
